Bug 222688 - Bitblit bug in trident driver
Bitblit bug in trident driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-trident (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-15 13:50 EST by Matan Ziv-Av
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 14:52:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (605 bytes, text/plain)
2007-01-16 07:22 EST, Matěj Cepl
no flags Details

  None (edit)
Description Matan Ziv-Av 2007-01-15 13:50:06 EST
Description of problem:
On a Trident Cyberblade XP4M32 (toshiba R100 laptop), a bug in bitblit in
trident driver causes severe screen corruption when scrollin up.

Version-Release number of selected component (if applicable):
1.2.1-3.fc6

How reproducible:
everytime.

Steps to Reproduce:
1. Make sure acceleration enabled on trident cyberblade XP card.
2. Open a web page longer than one screen in firefox.
3. Go to end of page and scroll one line up.
  
Actual results:
Screen corruption

Expected results:
scroll up.

Additional info:
Already fixed in later versions in xorg.
One line patch fixing this problem here:
 http://gitweb.freedesktop.org/?p=xorg/driver/xf86-video-trident.git;a=commitdiff;h=1edecc1a72cf1e53a2800e2941cb3b49b9b7f97d
Comment 1 Matěj Cepl 2007-01-16 07:22:19 EST
Created attachment 145682 [details]
Upstream patch
Comment 2 Adam Jackson 2007-01-24 14:52:37 EST
Fixed in xorg-x11-drv-trident 1.2.3, thanks!

Note You need to log in before you can comment on or make changes to this bug.